#! /usr/bin/env python

'''
   Setup script for Mandaye
'''

import mandaye

from setuptools import setup, find_packages

setup(name="mandaye",
      version=mandaye.VERSION,
      license="AGPLv3 or later",
      description="Mandaye, modular reverse proxy to authenticate",
      url="http://dev.entrouvert.org/projects/reverse-proxy/",
      author="Entr'ouvert",
      author_email="info@entrouvert.org",
      maintainer="Jerome Schneider",
      maintainer_email="jschneider@entrouvert.com",
      scripts=['mandaye_server.py', 'mandaye_admin.py', 'mandaye_migrate.py'],
      packages=find_packages(),
      package_data={},
      install_requires=[
          'beaker>=1.6',
          'gunicorn>=0.13',
          'importlib',
          'mako>=0.3',
          'poster>=0.8',
          'pycrypto>=2.0',
          'sqlalchemy>=0.6',
          'sqlalchemy-migrate>=0.7.2',
          'lxml>=2.0',
          'xtraceback>=0.3',
          'static',
      ],
)
